dpkg: error: analizando el archivo ‘/ var / lib / dpkg / available’ cerca de la línea 0

He intentado instalar el paquete git-core durante casi más de medio día. Cada vez que lo hago, me sale este error:

dpkg: error: parsing file '/var/lib/dpkg/available' near line 0: newline in field name `../../../../../share/pyshared/UpdateManager/Core/__init__.py' 

También he intentado ejecutar sudo apt-get update y sudo apt-get install --fix-missing . Incluso intenté reiniciar y limpiar el caché apt-get, todavía no funciona.

El problema es que su archivo /var/lib/dpkg/available está dañado.

Esto no está necesariamente relacionado con los paquetes git o git-core. Intenta instalar cualquier otro paquete y ellos también fallarán.

Para solucionar este problema, debe eliminar / borrar el archivo mediante el comando:

 sudo dpkg --clear-avail 

luego reconstruir el archivo con el comando:

 sudo apt-get update 

Ahora deberías poder instalar git y git-core.

A partir del error a continuación, se mostró claramente que su archivo /var/lib/dpkg/available estaba dañado.

 dpkg: error: parsing file '/var/lib/dpkg/available' near line 0: newline in field name `../../../../../share/pyshared/UpdateManager/Core/__init__.py' 

La solución para el problema anterior es reemplazar el archivo actual /var/lib/dpkg/available con otro archivo de copia de seguridad /var/lib/dpkg/available-old .

 sudo rm /var/lib/dpkg/available sudo cp /var/lib/dpkg/available-old /var/lib/dpkg/available 

Ahora intenta,

 sudo apt-get update sudo apt-get install -f